Bug 126642 - install of i386 e2fsprogs RPM on x86_64 system overwrites e2fsck
install of i386 e2fsprogs RPM on x86_64 system overwrites e2fsck
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-24 01:29 EDT by Bryan O'Sullivan
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2004-06-24 01:29:07 EDT
Description of problem:

On an x86_64 machine that already has the native x86_64 e2fsprogs RPM
installed, installing the i386 e2fsprogs RPM results in a 32-bit
version of /sbin/e2fsck being installed.  This results in the system
being unable to fsck.

This problem is present in both FC1 and FC2.  I think it's an RPM arch
selection bug, but I'm filing it as category e2fsprogs for now.
Comment 1 Thomas Woerner 2004-06-24 06:47:06 EDT
This is not a e2fsprogs bug, reassigning to distribution.
Comment 2 Jeff Johnson 2004-07-02 21:48:06 EDT
If i386 e3fsprogs cannot fsck on x86_64, then this certainly
*is* an e2fsprogs bug. All multilib executables need to perform
equivalently, independently of whether rpm automagically
prefers elf64 or not.

Consider the x86_64 system where only i386 e2fsprogs is
installed. rpm is not responsible for what is not installed.

The "Always prefer elf64." policy in rpm is being revisited,
will be fixed pretty soon. But check whether i386 fsck
actually "works" on x86_64 please.
Comment 3 Thomas Woerner 2004-10-05 11:42:05 EDT
What error occurs when you are using the i386 version on x86_64?
Comment 4 Bryan O'Sullivan 2004-10-05 12:58:39 EDT
I don't remember the specifics (it's been four months), and I'm afraid
I don't have time to reproduce the problem right now.  What I do
recall is that if an affected system was shut down uncleanly, it
couldn't use fsck to replay the journal during the subsequent boot,
and basically had to be reinstalled.
Comment 5 Matthew Miller 2005-04-26 11:45:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 John Thacker 2006-10-25 15:37:59 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.